import { InterceptOpt, RequestOpt, ServerInterceptor, ServerRequest, ServerResponse } from '../../../../API';
import { Dict } from '../../../../types/Dict';
export declare function intercept(opt: InterceptOpt, url: string): boolean;
export declare function defaultPort(url: string): string;
export declare function searchToQuery(search: string): Dict<string>;
export declare function requestToServerRequest(opt: RequestOpt, url: string): ServerRequest;
export declare function serverResponseToResponse(res: ServerResponse): Response;
export declare function __intercept__fetch(fetch: (input: string, init?: RequestOpt) => Promise<Response>): (url: string, init: RequestOpt, interceptors: ServerInterceptor[]) => Promise<Response>;
